<template>
	<div>

 <section class="cg-space-fixer"></section>

        <section id="cg-product-head-wrap" class="cg-product-page-wrap">
            <div class="container">
                <div class="cg-container">
                    <div class="row">

                        <div class="col-md-9 cg-product-root-wrap">
                            <h5><a class="grey f14 font1 w700" href="#">All item <span class="theme w700 f10"> / </span> {{ product_.product_sub_category.product_category.name }} <span class="theme w700 f10"> / </span> {{ product_.product_sub_category.name }}</a></h5>
                            <h2 class="cg-product-name second font1 w700">{{ product_.name }}</h2>
                            <h4 class="cg-product-type theme f16 w700">{{ product_.product_sub_category.product_category.name }}</h4>

                        </div>

                        <div class="col-md-3 cg-extra-icon-block">
                            <ul class="cg-product-extras-wrap d-flex flex-row justify-content-center">
                                <li class="cg-product-love-wrap cg-extra-ico"><a href="#"><i class="cg-product-love-ico fas fa-heart second"></i></a></li>
                                <li class="cg-product-share-wrap cg-extra-ico">
                                    <button type="button" data-toggle="modal" data-target="#cg-shareModal"><i class="cg-product-share-ico fas fa-share second"></i></button>
                                </li>
                                <li>
                                    <div class="cg-price-bubble"><h3 class="cg-product-price font1 w700 first"><span v-if="product_.price">${{ product_.price }}</span><span v-if="!product_.price">Free</span></h3></div>
                                </li>
                            </ul>
                        </div>


                        <!-- ●▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬● -->
                        <!-- Share Modal Starts -->
                        <!-- ●▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬● -->

                        <div class="cg-shareModal modal fade" id="cg-shareModal" role="dialog">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                                    <div class="modal-body">
                                        <div class="cg-modal-main-content pad-btm-sml text-center">
                                            <h5 class="font1 second f24 w600">Share Now</h5>
                                            <p class="font1 dull-white f14 w500">Share this Creative Market product: Studio PrintShop</p>
                                            <div class="cg-share-modal-icons">
                                                <ul class="d-flex justify-content-center align-items-center">
                                                    <li class="d-flex justify-content-center align-items-center">
                                                      <a href="https://www.facebook.com/fontfolio.net">
                                                        <i class="fb-ico fab fa-facebook-f"></i>
                                                      </a>
                                                    </li>
                                                    <li class="d-flex justify-content-center align-items-center">
                                                      <a href="https://www.facebook.com/fontfolio.net">
                                                        <i class="insta-ico fab fa-instagram"></i>
                                                      </a>
                                                    </li>
                                                    <li class="d-flex justify-content-center align-items-center">
                                                      <a href="https://www.facebook.com/fontfolio.net">
                                                        <i class="twit-ico fab fa-twitter"></i>
                                                      </a>
                                                    </li>
                                                    <li class="d-flex justify-content-center align-items-center">
                                                      <a href="https://www.facebook.com/fontfolio.net">
                                                        <i class="fab fa-pinterest"></i>
                                                      </a>
                                                    </li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- ●▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬● -->
                        <!-- Share Modal Ends-->
                        <!-- ●▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬▬● -->


                    </div>
                </div>
            </div>
        </section>


<!-- Product Slider Section Starts-->
 <section class="cg-product-slider-wrap">
            <div class="product-image-slider">
                <div class="slide-thumb" v-if="product_.cover_photo"><img class="product-thumb img-fluid" :src="product_.cover_photo_path" :alt="product_.name"></div>
                <div class="slide-thumb" v-for="preview in product_.preview_photos"><img class="product-thumb img-fluid" :src="preview.preview_photo_path" :alt="product_.name"></div>

            </div>
</section>
<!-- Product Slider Section Ends-->



 <section id="product-page-details" class="product-page-details cg-semi-body-panel">
          <!-- <div class="container"> -->
            <div class="cg-container">
                <div class="row">

                    <div class="col-md-9 cg-product-details-resizer">
                        <div class="cg-product-details-wrap">
                            <div class="cg-product-font-preview-wrap">
                                <h2 class="font1 f16 black w700 cg-section-sml-heading">Font Preview</h2>
                                <div class="cg-product-font-preview-area">
                                    <input class="font1 cg-product-font-custom-preview-box second add-btm-xsml" id="search" name="Search" placeholder="The quick brown fox jumps over the lazy dog" data-placeholder="Search">
                                    <div class="cg-font-preview-img-wrap">
                                        <h4 class="cg-product-font-preview-content-thin light-grey w600 f13">Thin OTF</h4>

                                        <h4 class="cg-product-font-preview-content-thin light-grey w600 f13">Thin OTF</h4>
                                        <img src="http://3.21.156.212/images/fp/1.png" class="img-fluid" alt="creativegoods">
                                        <h4 class="cg-product-font-preview-content-light  light-grey w600 f13">Light OTF</h4>
                                        <img src="http://3.21.156.212/images/fp/1.png" class="img-fluid" alt="creativegoods">
                                        <h4 class="cg-product-font-preview-content-regular  light-grey w600 f13">Regular OTF</h4>
                                        <img src="http://3.21.156.212/images/fp/1.png" class="img-fluid" alt="creativegoods">
                                        <h4 class="cg-product-font-preview-content-bold  light-grey w600 f13">Bold OTF</h4>
                                        <img src="http://3.21.156.212/images/fp/1.png" class="img-fluid" alt="creativegoods">
                                    </div>
                                </div>
                            </div>

                            <div class="cg-product-desc-wrap">
                                <h2 class="font1 f16 black w700 cg-section-sml-heading">Description</h2>
                                <p class="font1 grey w300 f14 add-top-sml pad-btm-sml">{{ this.product_.description }}</p>
                                <ul class="no-padding">
                                    <li class="w700 font1 grey f13" v-if="product_.product_sub_category.product_category.name">Category:<span class="add-left-sml cg-product-categories w300 font1 grey f14">{{ product_.product_sub_category.product_category.name }}</span></li>
                                    <li class="w700 font1 grey f13" v-if="product_.product_sub_category.name">Category:<span class="add-left-sml cg-product-categories w300 font1 grey f14">{{ product_.product_sub_category.name }}</span></li>
                                    <li class="w700 font1 grey f13">Tags:<span class="add-left-sml cg-product-tags w300 font1 grey f14">{{ product_.tag_line }}</span></li>
                                    <li class="w700 font1 grey f13" v-if="product_.file_type">File Types:<span class="add-left-sml cg-product-file-types w300 font1 grey f14">{{ product_.file_type }}</span></li>
                                    <li class="w700 font1 grey f13" v-if="product_.file_size">File Sizes:<span class="add-left-sml cg-product-file-size w300 font1 grey f14">{{ product_.file_size }}</span></li>
                                    <li class="w700 font1 grey f13"  v-if="product_.date_added">Date Added:<span class="add-left-sml cg-product-added-date w300 font1 grey f14">{{ product_.date_added }}</span></li>
                                    <li class="w700 font1 grey f13"  v-if="product_.date_updated">Date Updated:<span class="add-left-sml cg-product-updated-date w300 font1 grey f14">{{ product_.date_updated }}</span></li>
                                </ul>
                            </div>
                        </div>
                    </div>

                    <div class="cg-product-buy-wrap-resizer col-md-3">
                        <div class="cg-product-buy-wrap d-flex flex-column">

                            <div class="d-flex align-items-center justify-content-between pad-btm-mdm">
                                <div class="cg-primary-dp">
                                    <img :src="product_.author.user_profile.image_path" class="img-fluid" :alt="product_.author.user_profile.store_name">
                                </div>
                                <div class="add-left-mdm">
                                    <h6 class="cg-account-name font1 w700 f14 second">
                                        <a :href="'/user/'+ product_.author.unique_id +'/profile/'">
                                           {{ product_.author.user_profile.store_name }}
                                        </a>
                                       </h6>
                                </div>
                                <div class="ml-auto">
                                    <h3 class="cg-product-price theme font1 w700 f40 text-right"><span v-if="product_.price">${{ product_.price }}</span><span v-if="!product_.price">Free</span></h3>
                                </div>
                            </div>

                            <div>
                                <h4 class="cg-product-name second font1 f18 w700">{{ product_.name }}</h4>
                            </div>

                            <div class="cg-product-star-rating">
                                <i class="f13 theme fa fa-star"></i>
                                <i class="f13 theme fa fa-star"></i>
                                <i class="f13 theme fa fa-star"></i>
                                <i class="f13 theme fa fa-star"></i>
                                <i class="f13 theme fa fa-star"></i>
                            </div>

                            <div class="cg-product-buy-btn-wrap pad-top-xl pad-btm-xl">
                                <button class="cg-cart-btn theme font1 add-btm-sml" v-on:click="addToCart" type="button" name="cart">Add to cart</button>
                               <!--  <button class="cg-buy-btn theme-bg first font1" type="button" name="download">Buy Now</button> -->
                                <router-link :to="{ name: 'buy_now' }" class="cg-buy-btn theme-bg first font1" >Buy Now</router-link>

                            </div>

                            <div class="cg-share-earn">
                                <h2 class="font1 black f16 w700 cg-section-sml-heading">Share & Earn</h2>
                                <h6 class="font1 grey f14 w300 add-top-mdm">https://creativegoods.net/product/brilliant-3-signature-font/</h6>
                            </div>
                        </div>

                    </div>
                </div>

            </div>
          <!-- </div> -->
        </section>
        <div class="cg-product-buy-btn-wrap-mob pad-top-xl pad-btm-xl">
            <button class="cg-cart-btn theme font1 add-btm-sml" v-on:click="addToCart" type="button" name="cart">Add to cart</button>
<!--            <button class="cg-buy-btn theme-bg first font1" type="button" name="buy_now">Buy Now</button>-->
            <router-link :to="{ name: 'buy_now' }" class="cg-buy-btn theme-bg first font1" >Buy Now</router-link>
        </div>

    <SimilarProduct v-if="similar_products_.length" :similar_products="similar_products_"></SimilarProduct>

	</div>
</template>

<script>

import SimilarProduct from '../components/SimilarProduct.vue'

   export default {
       props: ['product', 'similar_products'],
        data() {
          return {
              product_ : JSON.parse(this.product),
              similar_products_ : JSON.parse(this.similar_products),
              success_message:'',
              error_message:'',
          }
        },
        components:{
            SimilarProduct
        },
        methods: {
          loadJs(url, callback) {
            jQuery.ajax({
              url: url,
              dataType: 'script',
              success: callback,
              async: true
            });
          },
            addToCart()
            {
                let currentObj = this;
                currentObj.success_message='';
                currentObj.error_message='';
                const config = {
                    headers: {
                        'content-type':'application/json',
                        'Accept':'application/json'
                    }
                }

                let formData = new FormData();
                formData.append('product_id',  this.product_.id);

                axios.post('/add_to_cart', formData, config).then((response)=>{

                    if(response.data.status == 'success')
                    {
                        currentObj.success_message = response.data.message
                        var span = document.createElement("SPAN");
                        document.getElementById('cart').appendChild(span);
                        alert(currentObj.success_message)


                    }
                    else
                    {
                        currentObj.error_message = response.data.message
                        alert(currentObj.error_message)

                    }
                })
            }

        },
        mounted() {

           this.loadJs('/javascripts/custom/product-detail.js', function() {
            //Stuff to do after someScript has loaded
          });
        }
    }
</script>
